#pragma once

#include "../UI.hpp"
#include "api/Images.hpp"
struct GLFWwindow;
class Window;

namespace render::gl {

/// ImGui OpenGL/GLFW interface
class UI final: public render::UI {
private:
    UI(GLFWwindow *window);
public:
    ~UI();

    static void Load(Window &);

    Actions draw(config::client::options &, state::state &, const state::reports &) override;
    void render() override;

private:
    std::unique_ptr<Texture> aim;
};
}